<script setup lang="ts">
import axios from 'axios'
import { Bar } from 'vue-chartjs'
import {
  Chart as ChartJS,
  Title,
  Tooltip,
  Legend,
  BarElement,
  CategoryScale,
  LinearScale
} from 'chart.js'
import { onMounted, reactive, ref } from 'vue'

onMounted(async () => {
  await getReport()
})
async function getReport() {
  const res = await axios.get('') // ใส่ http ที่คิวรี่มาจาก back
  console.log(res)
  const labels = res.data.map((it: any) => {
    return it.name
  })
  const data = res.data.map((it: any) => {
    return it.anotherdata
  })
  console.log(labels, data)
  chartData.value = {
    labels: labels,
    datasets: [
      {
        label: 'Data One',
        backgroundColor: '#5f473b',
        data: data
      }
    ]
  }
}

ChartJS.register(Title, Tooltip, Legend, BarElement, CategoryScale, LinearScale)
const chartData = ref({
  labels: [],
  datasets: [
    {
      label: 'Data One',
      backgroundColor: '#5f473b',
      data: []
    }
  ]
})
const chartOptions = ref({
  responsive: false,
  maintainAspectRatio: false
})
</script>

<template>
  <Bar id="my-chart-id" :options="chartOptions" :data="chartData" height="280" />
</template>

<style scoped>
.Bar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5;
}
</style>
